Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155618 - x86info gives "CPU Model: Unknown" on some P4 systems
Summary: x86info gives "CPU Model: Unknown" on some P4 systems
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-utils
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 21:30 UTC by Stephen Walton
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 21:21:04 UTC


Attachments (Terms of Use)

Description Stephen Walton 2005-04-21 21:30:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
/usr/sbin/x86info on a Dell Precision 360 Workstation is returning:

x86info v1.11.  Dave Jones 2001, 2002
Feedback to <davej@suse.de>.

Found 1 CPU
Family: 15 Model: 3 Stepping: 4 Type: 0
CPU Model: Unknown CPU Original OEM
Processor name string:               Intel(R) Pentium(R) 4 CPU 2.80GHz

Processor serial: 0000-0F34-0000-0000-0000-0000
Number of logical processors supported within the physical package: 1


Version-Release number of selected component (if applicable):
kernel-utils-2.4-8.37.7

How reproducible:
Always

Steps to Reproduce:
1. Run /usr/sbin/x86info

Actual Results:  Got CPU Model string as "Unknown CPU"

Expected Results:  CPU Model should be "Pentium 4".

Additional info:

x86info works fine on my Dell Precision 350 workstation.

Comment 1 Stephen Walton 2005-07-29 17:48:53 UTC
Update:  this problem is still present in version 1.13


Comment 2 Dave Jones 2005-09-23 21:52:02 UTC
can you try 1.15 from http://www.codemonkey.org.uk/projects/x86info/  ?



Comment 3 Stephen Walton 2005-09-26 20:01:50 UTC
Yes, 1.15 fixes the problem:

x86info v1.15.  Dave Jones 2001-2005
Feedback to <davej@redhat.com>.

Found 1 CPU
--------------------------------------------------------------------------
Found unknown cache descriptors: 64 81 91 96 112 124
Family: 15 Model: 3 Stepping: 4 Type: 0 Brand: 0
CPU Model: Pentium 4 (Prescott) [D0] Original OEM
Processor name string: Intel(R) Pentium(R) 4 CPU 2.80GHz

Feature flags:
 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflsh
ds acpi mmx fxsr sse sse2 ss ht tm pbe sse3 monitor ds-cpl cntx-id xTPR

Thanks!

Comment 6 RHEL Product and Program Management 2007-03-20 21:21:04 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.